﻿@model HomeVM
@{
    ViewData["Title"] = "Index";
    int count = 0;
}

<!--====== Slider Part Start ======-->

<section class="slider-area slider-active">
    @foreach (Slider slider in Model.Sliders)
    {
        <div class="single-slider">
            <div class="slider-image">
                <img src="~/assets/images/@slider.Image" alt="slider">
            </div>
            <div class="slider-content-wrapper">
                <div class="container-fluid custom-container">
                    <div class="slider-content">
                        <h4 data-animation="fadeInDown" data-delay="0.5s" class="sub-title">@slider.FadeInDown</h4>
                        <h1 data-animation="fadeInLeft" data-delay="0.5s" class="main-title "><span>@slider.FadeInLeft</span> Fulldive VR.</h1>
                        <p data-animation="fadeInRightBig" data-delay="0.5s">@slider.Name</p>
                        <a data-animation="zoomIn" data-delay="0.5s" class="main-btn " asp-controller="Product" asp-action="Index" asp-route-id="@slider.Id">Shop Now</a>
                    </div>
                </div> <!-- container -->
            </div>
        </div> <!-- single slider -->
    }

</section>

<!--====== Slider Part Ends ======-->
<!--====== Banner Part Start ======-->

<div class="banner-area banner-bg">
    <div class="container-fluid custom-container">
        <div class="row">
            <div class="col-md-6">
                <div class="banner-image">
                    <a asp-controller="ShopLeftSidebar" asp-action="Shop4"> <img src="~/assets/images/banner-1.png" alt="banner"></a>
                </div> <!-- banner image -->
            </div>
            <div class="col-md-6">
                <div class="banner-image">
                    <a asp-controller="ShopLeftSidebar" asp-action="Shop4"> <img src="~/assets/images/banner-2.png" alt="banner"></a>
                </div> <!-- banner image -->
            </div>
        </div> <!-- row -->
    </div> <!-- container -->
</div>

<!--====== Banner Part Ends ======-->
<!--====== Category Part Start ======-->

<section class="category-area category-bg pt-100 pb-100">
    <div class="container-fluid custom-container">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div class="section-title text-center pb-30">
                    <h2 class="title">Featured Categories</h2>
                </div>
            </div>
        </div> <!-- row -->
        <div class="row category-active">
            @foreach (Category category in Model.Categories)
            {
                if (count == 0)
                {
                    @Html.Raw(" <div>")
                }
                if (count % 2 == 0 && count != 0)
                {
                    @Html.Raw(" </div>")
                    @Html.Raw(" <div>")
                }
                <div class="single-category text-center">
                    <a target="_blank" asp-controller="ShopLeftSidebar" asp-action="Index" asp-route-id="@category.Id">
                        <img src="~/assets/images/@category.Image" alt="@category.Name">
                        <p>@category.Name</p>
                    </a>
                </div> <!-- single category -->
                count++;
            }
            @Html.Raw(" </div>")
        </div> <!-- row -->
    </div> <!-- container -->
</section>

<!--====== Category Part Ends ======-->
<!--====== Product Part Start ======-->

<section class="product-area pt-100 pb-100">
    <div class="container-fluid custom-container">
        <div class="row">
            <div class="col-lg-12">
                <div class="product-menu pb-30">
                    <ul class="nav justify-content-center" id="myTab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <a class="active" id="new-tab" data-toggle="tab" href="#new" role="tab" aria-controls="new" aria-selected="true">New Arrival</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a id="bestseller-tab" data-toggle="tab" href="#bestseller" role="tab" aria-controls="bestseller" aria-selected="false">Bestseller</a>
                        </li>
                        <li class="nav-item" role="presentation">
                            <a id="featured-tab" data-toggle="tab" href="#featured" role="tab" aria-controls="featured" aria-selected="false">Featured</a>
                        </li>
                    </ul>
                </div> <!-- product menu -->
            </div>
        </div> <!-- row -->
        <div class="tab-content" id="myTabContent">
            <div class="tab-pane fade show active" id="new" role="tabpanel" aria-labelledby="new-tab">
                <div class="product-items">
                    <div class="row product-active">
                        @foreach (Product product in Model.Products)
                        {
                           var secondImage = "";
                            var firstImage = product.ProductImages.ElementAt<ProductImages>(0).Images;
                            if (product.ProductImages.Count>1)
                            {
                               secondImage = product.ProductImages.ElementAt<ProductImages>(1).Images;
                            }



                            <div class="">
                                <div class="single-product mt-30">
                                    <div class="product-image">
                                        <a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id">
                                            <img class="first-image" src="assets/images/product/@firstImage" alt="product">
                                            @if (product.ProductImages.Count>1)
                                            {

                                            <img class="second-image" src="assets/images/product/@secondImage" alt="product">
                                            }

                                        </a>
                                        <ul class="product-meta">
                                            <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-bag"></i></a></li>
                                            <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-android-favorite-outline"></i></a></li>
                                            <li><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id"><i class="icon ion-android-options"></i></a></li>
                                            <li><a data-toggle="modal" data-target="#productQuickModal" href="#"><i class="icon ion-android-open"></i></a></li>
                                        </ul>
                                        @if (product.Interest > 0)
                                        {
                                            <span class="discount-product">-@product.Interest%</span>
                                        }

                                    </div>
                                    <div class="product-content">
                                        <ul class="product-rating">
                                            <li class="rating-on"><i class="fas fa-star"></i></li>
                                            <li class="rating-on"><i class="fas fa-star"></i></li>
                                            <li class="rating-on"><i class="fas fa-star"></i></li>
                                            <li class="rating-on"><i class="fas fa-star"></i></li>
                                            <li class="rating-on"><i class="fas fa-star"></i></li>
                                        </ul>
                                        <h4 class="product-title"><a asp-controller="Product" asp-action="Index" asp-route-id="@product.Id">@product.Name...</a></h4>
                                        <div class="product-price">
                                            @if (product.Interest > 0)
                                            {
                                                <span class="regular-price ">€@product.Price</span>
                                                <span class="price-sale">€@product.newPrice</span>
                                            }
                                            else
                                            {
                                                <span class="price-sale">€@product.Price</span>
                                            }

                                        </div>
                                    </div>
                                </div> <!-- single product -->


                            </div>
                        }

                    </div> <!-- row -->
                </div> <!-- product items -->
            </div>
           
        </div> <!-- tab content -->
    </div> <!-- container -->
</section>


<!--====== Product Part Ends ======
<!--====== Special Products Part Start ======-->


    <section class="special-products-area pt-70 pb-120">
        <div class="container-fluid custom-container">
            <div class="special-products-active">

                @foreach (Product product in Model.Products)
                {
                    if (product.Interest > 0)
                    {
                        <div class="special-products-wrapper">
                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="special-products-gallery d-flex mt-50">
                                        <div class="products-gallery-thumb">
                                            <ul class="products-thumb">
                                                @foreach (ProductImages item in product.ProductImages)
                                                {
                                                    <li><img src="~/assets/images/product/@item.Images" alt="Products Thumb"></li>
                                                }

                                            </ul>
                                        </div> <!-- products gallery thumb -->
                                        <div class="products-gallery-image">
                                            @foreach (ProductImages item in product.ProductImages)
                                            {

                                                <div class="single-products-image">
                                                    <a href="#">
                                                        <img src="~/assets/images/product/@item.Images" alt="Products Thumb">
                                                    </a>
                                                </div>
                                            }
                                        </div> <!-- products gallery image -->

                                    </div> <!-- special products gallery -->
                                </div>
                                <div class="col-lg-6">
                                    <div class="special-products-countdown mt-50">
                                        <div class="products-countdown-wrapper">
                                            <h2 class="special-title">@product.Title</h2>
                                            <h3 class="products-title"><a href="#">@product.Name</a></h3>
                                            <div class="products-rating">
                                                <ul>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                    <li><i class="fas fa-star"></i></li>
                                                </ul>
                                            </div>

                                            <div data-countdown="2021/12/19"></div>

                                            <div class="product-price-and-cart d-sm-flex align-items-center">
                                                <div class="product-price">
                                                    <span class="price-sale">€@product.newPrice</span>
                                                    <span class="regular-price">€@product.Price</span>
                                                </div>
                                                <div class="product-cart">
                                                    <a class="main-btn main-btn-2" asp-controller="Product" asp-action="Card" asp-route-id="@product.Id">Add to cart</a>
                                                </div>
                                            </div>
                                        </div> <!-- special products countdown -->
                                    </div> <!-- special products countdown -->
                                </div>
                            </div> <!-- row -->
                        </div> <!-- special products wrapper -->
                    }
                    else
                    {
                        <p>gelecekde daha gozel tekliflerimiz olacaq</p>
                    }

                }


            </div> <!-- special products active -->
        </div> <!-- container -->
    </section>
}

